Bug 527443 - boot.iso does not boot with MacBook Pro 2,1 or iMac 2006 late
boot.iso does not boot with MacBook Pro 2,1 or iMac 2006 late
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: syslinux (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
: Reopened
: 540839 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-06 08:40 EDT by Robert Szalai
Modified: 2013-01-10 00:30 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-26 14:04:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Szalai 2009-10-06 08:40:08 EDT
Description of problem:
boot.iso does not boot with MacBook Pro 2,1
This is especially frustrating since this method of testing rawhide is suggested by 

Version-Release number of selected component (if applicable):

How reproducible:
Always.

Steps to Reproduce:
1. burn boot.iso from Rawhide to a DVD+R or CD-R.
2. restart computer.
  
Actual results:
If using refit, there are 3 options to boot. 
a) boot the EFI way. -> it cannot load the efi image.
b) boot as a linux CD -> hangs with keyboard dead keyboard.
c) boot as a legacy system -> hangs with keyboard dead keyboard.

When it hangs the output is:
1.

2.

Select CD-Rom Boot Type:_

I cannot select anything, because the keyboard is dead.

Expected results:
The system boots

Additional info:
This is on a MacBook Pro 2,1 with 2.13 GHz Core 2 Duo processor
Comment 1 Matt Domsch 2009-10-06 15:38:34 EDT
This can't be an efibootmgr bug, as in your described scenario, you never got Linux to start, and efibootmgr is a Linux userspace program.
Comment 2 Jesse Keating 2009-10-06 16:42:51 EDT
pretty sure this is a case where the efi bootable CDrom doesn't actually boot normally or via EFI on some efi systems.  Or something like that.  Peter should have some more info.
Comment 3 Robert Szalai 2009-10-07 08:18:19 EDT
Tried on a MacPro3,1 (8 core, dual Quad-Core Intel Xeon 2.8GHz and ATI Radeon HD 2600 graphics) 
With yesterday's rawhide boot.iso the result is the following:
There are 2 options when booting (pressing the options key):
a) Windows
b) EFI Boot

a) it loads GRUB and then the kernel. However I end up with a blank screen after  all the messages of the kernel are gone. keyboard seems to work (Caps lock toggles the led)

b) displays a small splash in the middle of the screen (with some graphical artifacts) and hangs. No keyboard response.
Comment 4 info@kobaltwit.be 2009-10-09 05:38:20 EDT
I own a MacbookPro2,2 and have a similar experience.

I used boot.iso from yesterday (2009-10-08). When booting rEFIt shows 3 options related to the CD:
BOOT.efi
BOOTIA32.efi
Boot Linux from CD

The first two will properly load GRUB, but won't get passed it: GRUB just hangs after the kernel is selected, with a blinking cursor in the top-left corner.

Like the OP reported originally, Boot Linux from CD results in the output:
1.
2.
Select CD-Rom Boot Type:_
Comment 5 Robert Szalai 2009-10-09 06:09:21 EDT
Just to report that the installation from the Live CD fails as well.
Of course it might be a different bug. If so, I'll file a new one.

Steps: use F12-Snap3-x86_64-Live-KDE.iso
In the terminal:
su
yum update anaconda (because the one on the CD fails)
anaconda --repo=http://www.mirrorservice.org/sites/download.fedora.redhat.com/pub/fedora/linux/development/x86_64/os/

installation finishes with success, but after reboot I end up with the grub prompt
rescue>

Let me know if there's any other way I can try. It seems that installing Fedora rawhide is impossible.
Comment 6 Bug Zapper 2009-11-16 08:18:11 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 wjack2010 2010-05-12 15:07:28 EDT
To solve this problem/bug update to the latest fedora or install the updates for your current one if they don't work reinstall completely
Comment 8 info@kobaltwit.be 2010-05-15 12:28:41 EDT
(In reply to comment #7)
> To solve this problem/bug update to the latest fedora or install the updates
> for your current one if they don't work reinstall completely    

The point of this bug is installing is impossible... So reinstall completely is not an option.

I retried this with boot.iso of May, 13th, downloaded from ftp://mirror.karneval.cz/pub/linux/fedora/linux/development/13/i386/os/images/

The result is still exactly the same as in comment #4.

To be clear, this is the boot.iso that will be shipped with Fedora 13. So can one of the bugzappers please bump the version to at least 13 for this bug ?
Comment 9 Bug Zapper 2010-11-04 05:37:47 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-12-04 02:33:16 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Richard W.M. Jones 2011-01-06 19:01:17 EST
Reopening ... still a bug with Fedora 14 boot CD.
Comment 12 Richard W.M. Jones 2011-01-06 19:04:25 EST
*** Bug 540839 has been marked as a duplicate of this bug. ***
Comment 13 Richard W.M. Jones 2011-01-07 04:36:30 EST
Macbook Pro 17" from early 2007.

Fedora 14 CD does not boot, giving the message [sic]:

  1.
  2.
  Select CD-ROM Boot Type: _

Following advice here:
http://forums.fedoraforum.org/archive/index.php/t-255042.html
I went back to Fedora 10, and this boots and is currently
in the process of installing.  I intend to try a preupgrade
to F14.
Comment 14 Richard W.M. Jones 2011-01-07 04:45:36 EST
I should add that these are the images I tried:

Fedora-10-x86_64-netinst.iso [OK]
Fedora-14-x86_64-netinst.iso [FAILS]
Comment 15 Jesse Keating 2011-01-10 15:22:05 EST
Richard, please try the full DVD iso?  It should not have the EFI blessing on it and I suspect it'll boot OK.
Comment 16 Richard W.M. Jones 2011-01-19 08:50:37 EST
(In reply to comment #15)
> Richard, please try the full DVD iso?  It should not have the EFI blessing on
> it and I suspect it'll boot OK.

Damn, since I just made that laptop unbootable by accident,
looks like I'm going to have to try this :-(
Comment 17 Richard W.M. Jones 2011-01-19 10:23:35 EST
Confirmed -- this machine boots fine from the F14 DVD.
Comment 18 Jesse Keating 2011-01-19 18:03:25 EST
Ok, this is definitely an issue with making the boot.iso EFI bootable.  That's pjones land (who happens to be the bug owner).  Note that for F15, we plan to make /all/ the isos EFI bootable so this is going to be an important issue.
Comment 19 Przemysław Kulczycki 2011-05-21 19:44:09 EDT
FYI: same bug in Ubuntu:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/633983
Comment 20 W. Michael Petullo 2011-05-24 14:28:51 EDT
I can confirm this is an issue with the Fedora 15 network install CD-ROM.
Comment 21 W. Michael Petullo 2011-05-24 18:59:31 EDT
I was able to get the Fedora 15 network install CD-ROM to boot an my iMac by recreating the disc without EFI support.

I did something like this:

mount -o loop Fedora-15-x86_64-netinst.iso /mnt
mkdir /tmp/image
cp -a /mnt/* /tmp/image
mkisofs -r -b isolinux/isolinux.bin -c isolinux/boot.cat -no-emul-boot -boot-load-size 4 -boot-info-table -o /tmp/fedora.img /tmp/image/
cdrecord /tmp/fedora.img
Comment 22 Peter Jones 2011-05-26 14:03:15 EDT
(In reply to comment #13)
> Macbook Pro 17" from early 2007.
> 
> Fedora 14 CD does not boot, giving the message [sic]:
> 
>   1.
>   2.
>   Select CD-ROM Boot Type: _

This is a firmware bug in the CSM on your platform, and there's nothing we can do about it while still supporting UEFI on systems with working firmware. #c21 has a workaround.
Comment 23 Peter Jones 2011-05-26 14:04:35 EDT
> Actual results:
> If using refit, there are 3 options to boot. 
> a) boot the EFI way. -> it cannot load the efi image.

Apple doesn't implement UEFI booting for CDs, so this can't ever work.

> b) boot as a linux CD -> hangs with keyboard dead keyboard.
> c) boot as a legacy system -> hangs with keyboard dead keyboard.

These should be filed as another bug with more details specific to this case.
Comment 24 Raffaele Candeliere 2011-06-04 13:36:50 EDT
Well, i don,t know if i'm allowed to reopen the bug nor if this is the right package (maybe the kernel module ATI radeon driver should), but i think that it isn't completely true that apple doesnt support efi booting from CDs. I have an alu iMac (model 7,1) with similar hardware. Well, i've played a bit with grub2, efi and fedora14, making my own efi bootable dvds. The entire stuff seems more ore less to be working apart from one *big* problem: the video doesn't work, non matter if you try text mode, vesa mode, efi mode or whatever! The video doesn't work but you *can* boot! I can hear the sound of the GDM when X reaches the point of presenting the login screen, but the video is black. So the entire boot process is working, which lets me suppose that the problem is in the display driver. As for Fedora15, it seems we have a similar problem. If i use rEFIt and chose the EFI/BOOTX64.IMG to start fedora i can get into grub, from there i can open a command line and from there i can chose the vmlinuz and initrd.img in the isolinux folder. After that i can boot and the system seems to behave exactly as in Fedora 14. The boot process seems to go further but no screen.
Comment 25 Richard W.M. Jones 2011-06-04 13:42:44 EDT
If you need to reopen the bug, just flip the status field
back to 'NEW'.
Comment 26 Richard W.M. Jones 2011-06-04 13:43:55 EDT
.. although reading a bit further, it seems your problem
is nothing to do with this bug, so open a new bug.

Note You need to log in before you can comment on or make changes to this bug.